
Foreman - Feature #15384

Set default hash algorithm for Root Password for every OS known to Foreman

06/13/2016 10:03 AM - Bryan Kearney

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Host groups   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1317016 Red Hat JIRA:  

Pull request:    

Description

Each detected Operating system shows an option "Root password hash" for setting the algorithm used to calculate the root

password.  However, it seems to default to MD5.  I'd like to have it default to another value as when new Operating systems are

detected in the future (RHEL 7.3) I'd prefer it to default to a stronger hash.

Related issues:

Is duplicate of Foreman - Bug #10289: Change default root password hash funct... Closed 04/28/2015

History

#1 - 06/13/2016 10:03 AM - Bryan Kearney

- Bugzilla link set to 1317016

#2 - 06/13/2016 10:12 AM - Bryan Kearney

- Subject changed from et default hash algorithm for Root Password for every OS known to Foreman to Set default hash algorithm for Root Password

for every OS known to Foreman

#3 - 06/14/2016 03:41 AM - Dominic Cleal

- Status changed from New to Need more information

The default has been SHA256 ever since #10289, which you can see in the UI in the new OS form. How are you creating OSes if they're not set to

SHA256?

#4 - 06/14/2016 03:56 AM - Ohad Levy

- Is duplicate of Bug #10289: Change default root password hash function from MD5 to SHA256 added

#5 - 06/14/2016 03:56 AM - Ohad Levy

- Status changed from Need more information to Duplicate
